This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 637124 - Evince cannot open PDF file because of unsupported security in poppler
Evince cannot open PDF file because of unsupported security in poppler
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: poppler (Show other bugs)
5.5
All Linux
medium Severity medium
: rc
: ---
Assigned To: Marek Kašík
Desktop QE
: Patch
: 566734 (view as bug list)
Depends On:
Blocks: 668957 719046 716820
  Show dependency treegraph
 
Reported: 2010-09-24 07:46 EDT by Olivier Fourdan
Modified: 2013-03-03 21:49 EST (History)
12 users (show)

See Also:
Fixed In Version: poppler-0.5.4-18.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-21 01:11:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Proposed patch to backport the support of recent PDF (35.78 KB, patch)
2010-09-24 07:46 EDT, Olivier Fourdan
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Legacy) 39443 None None None Never

  None (edit)
Description Olivier Fourdan 2010-09-24 07:46:45 EDT
Created attachment 449398 [details]
Proposed patch to backport the support of recent PDF

Description of problem:

Some PDF files cannot be opened with Evince because poppler 0.5.4 fails to recognize the security used (even if no password is required).

Version-Release number of selected component (if applicable):

poppler-0.5.4

How reproducible:

Always

Steps to Reproduce:
1. Open the PDF attached with Evince on Red Hat Enterprise Linux 5
  
Actual results:

Error: Unsupported version/revision (4/4) of Standard security handler
Error: Incorrect password

Expected results:

Evince is able to open the PDF (without password being prompted).

Additional info:

This is fixed upstream as part of git commit bf7e0e98 but that's a huge commit which is the merge of xpdf302 branch in HEAD.

A less intrusive patch to backport just that functionality in poppler-0.5.4 is attached.
Comment 3 J.H.M. Dassen (Ray) 2011-03-17 06:00:04 EDT
*** Bug 566734 has been marked as a duplicate of this bug. ***
Comment 7 RHEL Product and Program Management 2011-05-31 11:00:49 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 9 RHEL Product and Program Management 2011-09-22 20:41:19 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 14 RHEL Product and Program Management 2011-10-19 15:07:30 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated in the
current release, Red Hat is unfortunately unable to address this
request at this time. Red Hat invites you to ask your support
representative to propose this request, if appropriate and relevant,
in the next release of Red Hat Enterprise Linux.
Comment 15 RHEL Product and Program Management 2011-10-21 03:50:41 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 18 errata-xmlrpc 2012-02-21 01:11:40 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHBA-2012-0236.html

Note You need to log in before you can comment on or make changes to this bug.